Subject: Re: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Yixuan Chen <[email-masked]>
Date: Sun, 27 Oct 2024 13:46:55 -0400

> Sorry, I still don't understand.  Your code does
> 
>    (highlight-lines-matching-regexp (cdr face) (car face))
> 
> This potentially shows each line in a different face, and thus can
> affect the metrics of the SPC character glyph which is what the
> indentation is made of.  So why is this a problem, let alone a bug?

The problem is executing that line at 10PM today may render the font one 
way, while executing that line at 6AM tomorrow (with exactly the same 
"face" variable) may render the font a different way, even if all the 
other variables remains the same.